# -*- coding: utf-8 -*-
from django import forms
#from django.contrib.auth.forms import UserCreationForm
#from django.contrib.auth.models import User
#from buscador.models import Investigador, Reto
platforms = [("ALOS","ALOS"),("A3","A3"),("AIRSAR","AIRSAR")]
#ALOS, A3, AIRSAR, AS, ERS-1, E1, ERS-2, E2, JERS-1, J1, RADARSAT-1, R1, SEASAT, SS, Sentinel-1A, SA, Sentinel-1B, SB, SMAP, SP, UAVSAR, UA.
class ASFSearchForm(forms.Form):
	platform = forms.ChoiceField(choices=platforms)
	start = forms.DateField(widget=forms.DateInput(attrs={'type':'datetime-local'}), required=False)
	end = forms.DateField(widget=forms.DateInput(attrs={'type':'datetime-local'}), required=False)

	maxResults = forms.IntegerField()
